Home

Get a list of unconfirmed transactions currently in the transaction pool by address.

GET
https://algo.nownodes.io/v2/accounts/{address}/transactions/pending

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the list of pending transactions by address, sorted by priority, in decreasing order, truncated at the end at MAX. If MAX = 0, returns all pending transactions.

Parameters

addressstringrequiredpath

An account public key

maxintegerquery

Truncated number of transactions to display. If max=0, returns all pending txns.

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Response

200OK

A potentially truncated list of transactions currently in the node's transaction pool. You can compute whether or not the list is truncated if the number of elements in the top-transactions array is fewer than total-transactions.

400Bad Request

Max must be a non-negative integer

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

503Service Unavailable

Service Temporarily Unavailable

default

Unknown Error